Bug 1123508 - Rubygem-Staypuft: need a better summary screen either on the dashboard or as a separate page - that shows in one page what the user has entered in the wizard.
Summary: Rubygem-Staypuft: need a better summary screen either on the dashboard or as...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: Installer
Assignee: Scott Seago
QA Contact: Omri Hochman
URL: https://trello.com/c/4aEzEymg/273-ux-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 21:24 UTC by Alexander Chuzhoy
Modified: 2016-09-29 13:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:37:09 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-25 21:24:34 UTC
Rubygem-Staypuft:  need a better summary screen either on the dashboard or as a separate page - that shows in one page what the user has entered in the wizard.

Environment:
rhel-osp-installer-0.1.6-2.el6ost.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.4.el6ost.noarch


Steps to reproduce:
1. install rhel-osp-installer.
2. Configure start any deployment.
3. Try to access the detail of that deployment while it's running.

Result:
No way to access the details of deployment while it's running/paused. 


Expected result:
The details of the deployment or a summary should be available even when the deployment is running/paused. This will allow (in some cases) to resume the deployment after fixing some values.

Comment 1 Scott Seago 2014-07-25 21:35:13 UTC
I'd prefer a "quick summary" view as proposed here (either on dashboard or via link there) to opening up the wizard, since we're quite deliberately disabling the wizard when deploy starts.

Also, we don't want to see the full clickable wizard -- just a summary of relevant settings.

Related to this, the wizard itself is *not* disabled when a deployment is started -- only the *link* to the wizard -- so you can still get there via URL surgery -- but that's a separate bug and we shouldn't fix it until after the information is available via other means here.

Comment 3 Mike Burns 2014-08-05 18:23:56 UTC
Arthur,

Anything more that we need beyond what is currently in the wizard?

Comment 5 Arthur Berezin 2014-08-12 13:51:03 UTC
Jarda, in one of our previous builds we had a deployment summery page which I think would fit.

Comment 6 Jaromir Coufal 2014-08-15 11:52:16 UTC
Arthur can you be a bit more specific which summary page you talk about here?

My question is - Do we want to allow user to pause deployment, change some parameters and resume the deployment again? What will be the expected behavior of back-end then?

Comment 7 Alexander Chuzhoy 2014-08-15 13:32:34 UTC
Just my 2 cents:
While it's not required to change the parameters of the running deployment, there should be the option to see the type of the deployment and it's params (Tenant network type, Backend driver, selected interfaces, etc) without stopping the deployment.
If a customer has started the deployment and it got paused with errors. In order for him to include all the details for the deployment in a report (without writing down everything in advance) would be to stop the deployment and to revisit it.  Perhaps there's an easy fix that would allow him to complete the deployment - so why stopping it.

Comment 8 Arthur Berezin 2014-08-17 13:56:37 UTC
(In reply to Jaromir Coufal from comment #6)
> Arthur can you be a bit more specific which summary page you talk about here?
> 
> My question is - Do we want to allow user to pause deployment, change some
> parameters and resume the deployment again? What will be the expected
> behavior of back-end then?

As Sasha described on Comment#7, we need a static, read only summery of all the selected parameters, and all values the user selected throughout the wizard.

Comment 11 Jaromir Coufal 2016-09-29 13:37:09 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.